#!/bin/sh
echo
/sbin/ifconfig lo 127.0.0.1
>/etc/mtab

mount /dev/pts
mount /var
mkdir /var/tmp
mkdir /var/run
mkdir /var/log
hostname nsg

# set IP forwarding
echo 1 >/proc/sys/net/ipv4/ip_forward

# set NPROC_RCFLAG_CREATE_NENT
echo 1 >/proc/sys/nsg/.rc_flags

# enable all multicast packets
/sbin/ifconfig eth0 allmulti

#add path to /usr.local/sbin (i.e. for pluto (ipsec))
PATH=$PATH:/usr/local/sbin
export PATH

/sbin/zebra -d
/sbin/ospfd -d

# set NPROC_RCFLAG_DO_BOOT
echo 2 >/proc/sys/nsg/.rc_flags

/bin/vtysh -b

# set NPROC_RCFLAG_DONE_BOOT, must be followed after NPROC_RCFLAG_DO_BOOT
echo 4 >/proc/sys/nsg/.rc_flags

# delete any NPROC_RCFLAG_...
echo 0 >/proc/sys/nsg/.rc_flags

echo -e "\nPress <Enter> to login"
